<?xml version="1.0" encoding="iso-8859-1"?>
<install version="1.5" type="sef_ext">
	<name>Content</name>
	<author>ARTIO s.r.o.</author>
	<creationDate>27. April 2012</creationDate>
	<copyright>ARTIO s.r.o.</copyright>
	<license>GNU/GPLv3 http://www.artio.net/license/gnu-general-public-license</license>
	<authorEmail>info@artio.net</authorEmail>
	<authorUrl>www.artio.net</authorUrl>
	<version>2.0.25</version>
	<description>Adds SEO support for Content component.</description>
	<files>
		<filename sef_ext="content">com_content.php</filename>
	</files>
	<install>
	    <defaultParams>
	        <defaultParam name="acceptVars" value="view; id; catid; sectionid; type; year; month; filter; limit; limitstart; task; showall" />
	    </defaultParams>
	    <defaultFilters>
			<defaultFilter>+^[0-9]*$=limit,limitstart,month,showall,year</defaultFilter>
			<defaultFilter>+^[a-zA-Z]+$=task,type,view</defaultFilter>
			<defaultFilter>+^[0-9]+(:.+)?$=catid,id,sectionid</defaultFilter>
	    </defaultFilters>
	</install>
	<params>
 		<param name="pagination" type="radio" default="0" label="Handle pagination as non-SEF" description="If set to Yes, limit and limitstart variables will be appended to URL as non-SEF.">
 			<option value="0">No</option>
 			<option value="1">Yes</option>
 		</param>
 		<param name="multipagetitles" type="radio" default="1" label="Use correct page titles in multipage articles" description="If set to Yes, when the article has multiple pages, the correct page title will be used for each page instead of numbers.">
            <option value="0">No</option>
            <option value="1">Yes</option>
 		</param>
 		<param name="guessId" type="radio" default="0" label="Guess Itemid" description="If set to Yes, the extension will try to guess the correct Itemid and replace the one given in URL.">
 			<option value="0">No</option>
 			<option value="1">Yes</option>
 		</param>
 		<param name="compatibility" type="radio" default="0" label="Compatibility mode" description="Makes sure the &lt;em&gt;task&lt;/em&gt; variable is present in the URL. Helps some legacy components like mXcomment.">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 		</param>
 		<param type="spacer" default="&lt;hr/&gt;URL Settings&lt;hr/&gt;" />
 		<param name="show_category" type="radio" default="1" label="Show Category" description="Show category in URL">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 		</param>
 		<param name="show_section" type="radio" default="0" label="Show Section" description="Show section in URL">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 		</param>
 		<param name="title_alias" type="list" default="global" label="Title URL part" description="Title URL part&lt;br/&gt;Google News numbering must be enabled for &lt;em&gt;Google News number&lt;/em&gt; option to work.">
 		  <option value="global">Use global config</option>
 		  <option value="title">Title</option>
 		  <option value="alias">Alias</option>
 		  <option value="googlenews">Google News number</option>
 		</param>
 		<param name="category_alias" type="list" default="global" label="Category URL part" description="Category URL part">
 		  <option value="global">Use global config</option>
 		  <option value="title">Title</option>
 		  <option value="alias">Alias</option>
 		</param>
 		<param name="section_alias" type="list" default="global" label="Section URL part" description="Section URL part">
 		  <option value="global">Use global config</option>
 		  <option value="title">Title</option>
 		  <option value="alias">Alias</option>
 		</param>
 		<param name="add_layout" type="list" default="2" label="Add layout to URL" description="How to handle the layout parameter">
 		  <option value="0">Never</option>
 		  <option value="2">Only when different from default</option>
 		  <option value="1">Always</option>
 		</param>
 		<param name="def_layout" type="list" default="default" label="Default layout" description="Which layout consider as default">
 		  <option value="default">Default</option>
 		  <option value="blog">Blog</option>
 		</param>
	    <param name="always_en" type="radio" default="0" label="Always use English texts" description="If enabled, texts like 'Print' will not be localized in URLs. This may help with non-Latin characters like Chinese.">
	      <option value="0">No</option>
	      <option value="1">Yes</option>
	    </param>
 		<param type="spacer" default="&lt;hr/&gt;Google News Settings&lt;hr/&gt;" />
 		<param name="googlenewsnum" type="list" default="0" label="Google News numbering" description="You can choose what number to use in article title for Google News.">
 		  <option value="0">Don't use</option>
 		  <option value="1">Use article ID</option>
 		  <option value="2">Use article date</option>
 		  <option value="3">Use both</option>
 		</param>
 		<param name="digits" type="text" default="3" label="Article ID digits" description="Minimum article ID digits count, Google News requires three. Necessary number of zeros will be prepended." />
 		<param name="dateformat" type="text" default="ddmm" label="Custom date format" description="Custom date format. You can use d, dd, m, mm, yy and yyyy in usual way." />
 		<param name="iddatesep" type="text" default="" label="ID and date separator" description="A string to separate ID and date parts if both used." />
 		<param name="iddateorder" type="list" default="0" label="ID and date ordering" description="Ordering of ID and date parts if both used.">
 		  <option value="0">Date, ID</option>
 		  <option value="1">ID, date</option>
 		</param>
 		<param name="numberpos" type="list" default="1" label="Number position" description="You can choose if the number should be prepended or appended to article title.">
 		  <option value="0">Prepend</option>
 		  <option value="1">Append</option>
 		</param>
 	</params>
 	<params group="Meta Tags">
 	    <param name="meta_titlesec" type="radio" default="0" label="Add section to page title" description="Adds article section to article name in page title">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 	    </param>
 	    <param name="meta_titlecat" type="radio" default="0" label="Add category to page title" description="Adds article category to article name in page title">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 	    </param>
 	    <param name="meta_titlepage" type="radio" default="0" label="Add page number to page title" description="Adds page number to page title when listing articles in categories.">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 	    </param>
 	    <param type="spacer" default="&lt;hr/&gt;" />
 	    <param name="meta_desc" type="radio" default="1" label="Generate description" description="Automatically generates meta description">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 	    </param>
 	    <param name="desc_len" type="text" default="150" size="5" label="Description length" description="Meta description maximum length." />
 	    <param type="spacer" default="&lt;hr/&gt;" />
 	    <param name="meta_keys" type="radio" default="1" label="Generate keywords" description="Automatically generates meta keywords">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
 	    </param>
 	    <param name="keys_minlen" type="text" default="3" size="5" label="Minimum keyword length" description="Minimum length a word must have to be listed as a keyword." />
 	    <param name="keys_count" type="text" default="8" size="5" label="Number of keywords" description="Number of meta keywords." />
 	    <param name="blacklist" type="textarea" cols="30" rows="8" default="a, able, about, above, abroad, according, accordingly, across, actually, adj, after, afterwards, again, against, ago, ahead, ain't, all, allow, allows, almost, alone, along, alongside, already, also, although, always, am, amid, amidst, among, amongst, an, and, another, any, anybody, anyhow, anyone, anything, anyway, anyways, anywhere, apart, appear, appreciate, appropriate, are, aren't, around, as, a's, aside, ask, asking, associated, at, available, away, awfully, b, back, backward, backwards, be, became, because, become, becomes, becoming, been, before, beforehand, begin, behind, being, believe, below, beside, besides, best, better, between, beyond, both, brief, but, by, c, came, can, cannot, cant, can't, caption, cause, causes, certain, certainly, changes, clearly, c'mon, co, co., com, come, comes, concerning, consequently, consider, considering, contain, containing, contains, corresponding, could, couldn't, course, c's, currently, d, dare, daren't, definitely, described, despite, did, didn't, different, directly, do, does, doesn't, doing, done, don't, down, downwards, during, e, each, edu, eg, eight, eighty, either, else, elsewhere, end, ending, enough, entirely, especially, et, etc, even, ever, evermore, every, everybody, everyone, everything, everywhere, ex, exactly, example, except, f, fairly, far, farther, few, fewer, fifth, first, five, followed, following, follows, for, forever, former, formerly, forth, forward, found, four, from, further, furthermore, g, get, gets, getting, given, gives, go, goes, going, gone, got, gotten, greetings, h, had, hadn't, half, happens, hardly, has, hasn't, have, haven't, having, he, he'd, he'll, hello, help, , hence, her, here, hereafter, hereby, herein, here's, hereupon, hers, herself, he's, hi, him, himself, his, hither, hopefully, how, howbeit, however, hundred, i, i'd, ie, if, ignored, i'll, i'm, immediate, in, inasmuch, inc, inc., indeed, indicate, indicated, indicates, inner, inside, insofar, instead, into, inward, is, isn't, it, it'd, it'll, its, it's, itself, i've, j, just, k, keep, keeps, kept, know, known, knows, l, last, lately, later, latter, latterly, least, less, lest, let, let's, like, liked, likely, likewise, little, look, looking, looks, low, lower, ltd, m, made, mainly, make, makes, many, may, maybe, mayn't, me, mean, meantime, meanwhile, merely, might, mightn't, mine, minus, miss, more, moreover, most, mostly, mr, mrs, much, must, mustn't, my, myself, n, name, namely, nd, near, nearly, necessary, need, needn't, needs, neither, never, neverf, neverless, nevertheless, new, next, nine, ninety, no, nobody, non, none, nonetheless, noone, no-one, nor, normally, not, nothing, notwithstanding, novel, now, nowhere, o, obviously, of, off, often, oh, ok, okay, old, on, once, one, ones, one's, only, onto, opposite, or, other, others, otherwise, ought, oughtn't, our, ours, ourselves, out, outside, over, overall, own, p, particular, particularly, past, per, perhaps, placed, please, plus, possible, presumably, probably, provided, provides, q, que, quite, qv, r, rather, rd, re, really, reasonably, recent, recently, regarding, regardless, regards, relatively, respectively, right, round, s, said, same, saw, say, saying, says, second, secondly, , see, seeing, seem, seemed, seeming, seems, seen, self, selves, sensible, sent, serious, seriously, seven, several, shall, shan't, she, she'd, she'll, she's, should, shouldn't, since, six, so, some, somebody, someday, somehow, someone, something, sometime, sometimes, somewhat, somewhere, soon, sorry, specified, specify, specifying, still, sub, such, sup, sure, t, take, taken, taking, tell, tends, th, than, thank, thanks, thanx, that, that'll, thats, that's, that've, the, their, theirs, them, themselves, then, thence, there, thereafter, thereby, there'd, therefore, therein, there'll, there're, theres, there's, thereupon, there've, these, they, they'd, they'll, they're, they've, thing, things, think, third, thirty, this, thorough, thoroughly, those, though, three, through, throughout, thru, thus, till, to, together, too, took, toward, towards, tried, tries, truly, try, trying, t's, twice, two, u, un, under, underneath, undoing, unfortunately, unless, unlike, unlikely, until, unto, up, upon, upwards, us, use, used, useful, uses, using, usually, v, value, various, versus, very, via, viz, vs, w, want, wants, was, wasn't, way, we, we'd, welcome, well, we'll, went, were, we're, weren't, we've, what, whatever, what'll, what's, what've, when, whence, whenever, where, whereafter, whereas, whereby, wherein, where's, whereupon, wherever, whether, which, whichever, while, whilst, whither, who, who'd, whoever, whole, who'll, whom, whomever, who's, whose, why, will, willing, wish, with, within, without, wonder, won't, would, wouldn't, x, y, yes, yet, you, you'd, you'll, your, you're, yours, yourself, yourselves, you've, z, zero" label="Blacklist" description="List of words which will not be listed as keywords. Separate words with commas." />
 	</params>
    <params group="SiteMap">
        <param name="sm_section_indexed" type="radio" default="1" label="Add section links" description="If enabled, links to sections will be automatically added to sitemap.">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
        </param>
        <param name="sm_section_freq" type="list" default="" label="Section links change frequency" description="Default change frequency for section links in sitemap.">
          <option value="">Use global config</option>
          <option value="always">always</option>
          <option value="hourly">hourly</option>
          <option value="daily">daily</option>
          <option value="weekly">weekly</option>
          <option value="monthly">monthly</option>
          <option value="yearly">yearly</option>
          <option value="never">never</option>
        </param>
        <param name="sm_section_priority" type="list" default="" label="Section links priority" description="Default priority for section links in sitemap.">
          <option value="">Use global config</option>
          <option value="0.0">0.0</option>
          <option value="0.1">0.1</option>
          <option value="0.2">0.2</option>
          <option value="0.3">0.3</option>
          <option value="0.4">0.4</option>
          <option value="0.5">0.5</option>
          <option value="0.6">0.6</option>
          <option value="0.7">0.7</option>
          <option value="0.8">0.8</option>
          <option value="0.9">0.9</option>
          <option value="1.0">1.0</option>
        </param>
        <param type="spacer" default="&lt;hr/&gt;" />
        <param name="sm_category_indexed" type="radio" default="1" label="Add category links" description="If enabled, links to categories will be automatically added to sitemap.">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
        </param>
        <param name="sm_category_freq" type="list" default="" label="Category links change frequency" description="Default change frequency for category links in sitemap.">
          <option value="">Use global config</option>
          <option value="always">always</option>
          <option value="hourly">hourly</option>
          <option value="daily">daily</option>
          <option value="weekly">weekly</option>
          <option value="monthly">monthly</option>
          <option value="yearly">yearly</option>
          <option value="never">never</option>
        </param>
        <param name="sm_category_priority" type="list" default="" label="Category links priority" description="Default priority for category links in sitemap.">
          <option value="">Use global config</option>
          <option value="0.0">0.0</option>
          <option value="0.1">0.1</option>
          <option value="0.2">0.2</option>
          <option value="0.3">0.3</option>
          <option value="0.4">0.4</option>
          <option value="0.5">0.5</option>
          <option value="0.6">0.6</option>
          <option value="0.7">0.7</option>
          <option value="0.8">0.8</option>
          <option value="0.9">0.9</option>
          <option value="1.0">1.0</option>
        </param>
        <param type="spacer" default="&lt;hr/&gt;" />
        <param name="sm_article_indexed" type="radio" default="1" label="Add article links" description="If enabled, links to articles will be automatically added to sitemap.">
 		  <option value="0">No</option>
 		  <option value="1">Yes</option>
        </param>
        <param name="sm_article_freq" type="list" default="" label="Article links change frequency" description="Default change frequency for article links in sitemap.">
          <option value="">Use global config</option>
          <option value="always">always</option>
          <option value="hourly">hourly</option>
          <option value="daily">daily</option>
          <option value="weekly">weekly</option>
          <option value="monthly">monthly</option>
          <option value="yearly">yearly</option>
          <option value="never">never</option>
        </param>
        <param name="sm_article_priority" type="list" default="" label="Article links priority" description="Default priority for article links in sitemap.">
          <option value="">Use global config</option>
          <option value="0.0">0.0</option>
          <option value="0.1">0.1</option>
          <option value="0.2">0.2</option>
          <option value="0.3">0.3</option>
          <option value="0.4">0.4</option>
          <option value="0.5">0.5</option>
          <option value="0.6">0.6</option>
          <option value="0.7">0.7</option>
          <option value="0.8">0.8</option>
          <option value="0.9">0.9</option>
          <option value="1.0">1.0</option>
        </param>
    </params>
</install>
